Bug 1262461 - Orchestration stack summary page show 0 number of instances, security groups, and networks
Orchestration stack summary page show 0 number of instances, security groups,...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.4.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Bill Wei
Pavol Kotvan
: ZStream
Depends On:
Blocks: 1264114
  Show dependency treegraph
 
Reported: 2015-09-11 15:14 EDT by Bill Wei
Modified: 2015-12-08 08:30 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.5.0.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1264114 (view as bug list)
Environment:
Last Closed: 2015-12-08 08:30:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot - stack summary page (44.29 KB, image/png)
2015-11-19 08:50 EST, Pavol Kotvan
no flags Details
Heat template used for stack provisioning (2.20 KB, text/plain)
2015-11-19 08:51 EST, Pavol Kotvan
no flags Details
Heat template which creates new instance, sg and private network (3.21 KB, text/plain)
2015-11-20 06:47 EST, Pavol Kotvan
no flags Details
Screenshot - stack summary page - OK (43.78 KB, image/png)
2015-11-20 06:48 EST, Pavol Kotvan
no flags Details

  None (edit)
Description Bill Wei 2015-09-11 15:14:15 EDT
Description of problem:
On the orchestration stack summary page for a stack the number of instances, security groups, or cloud networks is always 0.

This happens to OpenStack only. Amazon provider is OK.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 3 Bill Wei 2015-09-11 15:30:14 EDT
PR https://github.com/ManageIQ/manageiq/pull/4329
Comment 5 CFME Bot 2015-09-17 13:53:39 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/ee6e9ec13eee5eeb273376496aa0d8f80779bcac

commit ee6e9ec13eee5eeb273376496aa0d8f80779bcac
Author:     Bill Wei <bilwei@redhat.com>
AuthorDate: Fri Sep 11 15:23:25 2015 -0400
Commit:     Bill Wei <bilwei@redhat.com>
CommitDate: Fri Sep 11 15:23:37 2015 -0400

    Populate resource_to_stack hash when collecting stack resources
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1262461
    
    The fix is to restore one line that was accidentally deleted by commit d12268585c1097b

 .../providers/openstack/refresh_parser_common/orchestration_stacks.rb    | 1 +
 1 file changed, 1 insertion(+)
Comment 8 Pavol Kotvan 2015-11-19 08:49:42 EST
Hi Bill,
I have tested this against CFME 5.5.0.11 and RHOS7-GA. I can see only number of instances for stack updated. Tried to deploy stack with security group other than default, but in stack summary page there is still 0. I do not know what Cloud networks field means. I have provisioned stack with private network. You can find heat template which I used in attachment. Also screenshot from stack summary page is attached. Can you please have a look on this? Thank you.
Comment 9 Pavol Kotvan 2015-11-19 08:50 EST
Created attachment 1096678 [details]
Screenshot - stack summary page
Comment 10 Pavol Kotvan 2015-11-19 08:51 EST
Created attachment 1096681 [details]
Heat template used for stack provisioning
Comment 11 Bill Wei 2015-11-19 09:18:11 EST
Pavol,
In the resource section of your template there is only the instance. The network and security group are passed in parameters. The summary page shows the counts of resources created by the template.
Your test is correct based on the template.

If you want to test other counts, try to find a template that in the resource section at least one instance, one network, and one security group are included.
Comment 12 Pavol Kotvan 2015-11-20 06:45:24 EST
Thanks Bill. I understand it now. I created another Heat template which is creating new subnet, new security group and 1 VM instance. Once stack was created, I was able see number of Instances, Security groups and Networks in stack summary page.

Verified against 5.5.0.11.

Pavol
Comment 13 Pavol Kotvan 2015-11-20 06:47 EST
Created attachment 1097136 [details]
Heat template which creates new instance, sg and private network
Comment 14 Pavol Kotvan 2015-11-20 06:48 EST
Created attachment 1097137 [details]
Screenshot - stack summary page - OK
Comment 16 errata-xmlrpc 2015-12-08 08:30:08 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.